#ifndef ABOUTCTRL_H
#define ABOUTCTRL_H

class CAboutCtrl : public CStatic
{
public:
    CAboutCtrl();
    virtual ~CAboutCtrl();
    void SetCredits(LPCTSTR lpszCredits);
    void Initialize();
    void AnimateLogo();
    void LoadPicture(int nResourceID, HDC& hDestinationDC, int& nWidth, int& nHeight, HDC hDC);
    void LoadCredits(HDC& hDestination, int nWidth, int nHeight, HDC hDC);

private:
    HDC m_hBackgroundDC; 
    HDC m_hMemDC; 
    HDC m_hCreditsDC; 
    int m_cxData;
    int m_cyData;
    int m_nCounter;
    CString m_credits;

protected:
    virtual void PreSubclassWindow();
    afx_msg void OnTimer(UINT nIDEvent);
    DECLARE_MESSAGE_MAP()
};

#endif