#ifndef AUTDLG_H
#define AUTDLG_H

#include "MenuXP.h"
#include "ButtonXP.h"

/////////////////////////////////////////////////////////////////////////////
// CAutDlg dialog

class CAutDlg : public CDialog
{
public:
    CAutDlg();
    ~CAutDlg();

    enum
    {
        IDD = IDD_AUTOMATION
    };

private:
    CButtonXP m_btnAdd;
    CButtonXP m_btnDel;
    CButtonXP m_btnOk;
    CButtonXP m_btnCancel;
    CSpinButtonCtrl m_spin;
    CListBox m_folders;
    int m_mins;
    BOOL m_remove;
    BOOL m_rescan;
    BOOL m_sort;
    BOOL m_every;
    BOOL m_onStart;
    BOOL m_removedup;
    BOOL m_saveset;

protected:
    virtual void DoDataExchange(CDataExchange* pDX);
    afx_msg void OnAdd();
    afx_msg void OnDel();
    virtual BOOL OnInitDialog();
    virtual void OnOK();
    DECLARE_MESSAGE_MAP()
    DECLARE_MENUXP()
};
#endif
