// RenameDlg.cpp : implementation file
//

#include "stdafx.h"
#include "resource.h"       // main symbols
#include "aerosubc.h"
#include "RenameDlg.h"
#include "MainHelper.h"
#include "MainWnd.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CRenameDlg dialog


CRenameDlg::CRenameDlg() : CDialog(CRenameDlg::IDD)
{
    m_template = _T("");
}


BEGIN_MESSAGE_MAP(CRenameDlg, CDialog)
    ON_EN_CHANGE(IDC_TEMPLATE, OnChangeTemplate)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CRenameDlg message handlers

void CRenameDlg::DoDataExchange(CDataExchange* pDX)
{
    CMenuXP::SetXPLookNFeel(this, s_mainWnd.m_skin.xpLookNFeel);
    CDialog::DoDataExchange(pDX);
    DDX_Text(pDX, IDC_TEMPLATE, m_template);
    DDX_Control(pDX, IDCANCEL, m_btnCancel);
    DDX_Control(pDX, IDOK, m_btnOk);
}


void CRenameDlg::OnChangeTemplate()
{
    CString buf;
    GetDlgItemText(IDC_TEMPLATE, buf);
    GetDlgItem(IDOK)->EnableWindow(buf != "" && buf.FindOneOf(_T("/\\:*?\"<>!")) < 0);
}
BOOL CRenameDlg::OnInitDialog()
{
    CDialog::OnInitDialog();

    AeroAutoSubclass(m_hWnd, ASC_SUBCLASS_ALL_CONTROLS, 0L);

    m_Helper.translateWindowText(this, IDD_RENAME);
    m_Helper.translateDlgItemText(this, IDC_LTEMPLATE);
    m_Helper.translateDlgItemText(this, IDC_LDESCRIPTIONPOSSIBILITY);
    m_Helper.translateDlgItemText(this, IDOK);
    m_Helper.translateDlgItemText(this, IDCANCEL);

    SetIcon(s_mainWnd.m_stpIcon, TRUE);
    SetIcon(s_mainWnd.m_stpIconSm, FALSE);

    UpdateData(FALSE);

    return TRUE;
}

void CRenameDlg::OnOK()
{
    UpdateData(TRUE);

    CDialog::OnOK();
}

