#ifndef SETTINGSDIALOGAPPARENCE_H
#define SETTINGSDIALOGAPPARENCE_H
#include "menuXP.h"
#include "ButtonXP.h"
#include "ColourPicker.h"

// Bote de dialogue CSettingsDialogApparence

class CSettingsDialogApparence : public CPropertyPage
{
    DECLARE_DYNAMIC(CSettingsDialogApparence)

public:
    CSettingsDialogApparence();
    virtual ~CSettingsDialogApparence();

    enum
    {
        IDD = IDD_SETTINGS_APPARENCE
    };

private:
    BOOL m_showToolTip;
    CButtonXP m_btnLook;
    CGradientSampleCtrl m_gradientSample;
    CColourPicker m_startColor;
    CColourPicker m_endColor;

protected:
    afx_msg void OnOK();
    afx_msg LONG OnUpdateGradient(UINT lParam, LONG wParam);
    virtual void DoDataExchange(CDataExchange* pDX);  // Prise en charge DDX/DDV
    virtual BOOL OnInitDialog();
    afx_msg BOOL OnEraseBkgnd(CDC* pDC);
    void OnChangeTooltipText();
    BOOL PreTranslateMessage(MSG* pMsg);

    DECLARE_MESSAGE_MAP()
        DECLARE_MENUXP()
};

#endif