#ifndef SETTINGSDIALOGAPPARENCESKINS_H
#define SETTINGSDIALOGAPPARENCESKINS_H

#include "menuXP.h"
#include "ButtonXP.h"
#include "MainWnd.h"

// Bote de dialogue CSettingsDialogApparenceSkins

class CSettingsDialogApparenceSkins : public CPropertyPage
{
	DECLARE_DYNAMIC(CSettingsDialogApparenceSkins)

public:
	CSettingsDialogApparenceSkins();
	virtual ~CSettingsDialogApparenceSkins();

	CListBox m_listSkin;

    enum
	{
		IDD = IDD_SETTINGS_APPARENCE_SKINS
	};

private:
	BOOL m_includeSubDirectory;
	BOOL m_changeSkinOnEachTrack;
	BOOL m_randomSkin;
	CButtonXP m_btnBrowse;
	CButtonXP m_btnDelete;
	CButtonXP m_btnUseDefault;
	CButtonXP m_btnSave;
	CButtonXP m_btnLook;
	CSkinSampleCtrl m_skinSample;
	CSkinSampleCtrl m_skinText;
	CGradientSampleCtrl m_gradientSample;

protected:
	afx_msg void OnOK();
	virtual void DoDataExchange(CDataExchange* pDX);  // Prise en charge DDX/DDV
	virtual BOOL OnInitDialog();
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnSkinDirectoryBrowse();
	afx_msg void OnSaveSkin();
	afx_msg void OnLbnSelchangeLSkins();
	BOOL PreTranslateMessage(MSG* pMsg);
	afx_msg void OnBnClickedDeleteskinfromselection();
	afx_msg void OnBnClickedUsedefaultskin();
	afx_msg void OnBnClickedChangeskinoneachtrack();
	CString CopyResourceForSkin(CString skinPath, CString resourcePath);
	void FindSkin(CString path);
	DECLARE_MESSAGE_MAP()
	DECLARE_MENUXP()
};

#endif