#ifndef SETTINGSDIALOGAPPARENCETOOLTIP_H
#define SETTINGSDIALOGAPPARENCETOOLTIP_H
#include "menuXP.h"
#include "ButtonXP.h"
#include "ComboBoxXP.h"
#include "ColourPicker.h"
#include "PPTooltip.h"

// Bote de dialogue CSettingsDialogApparenceTooltip

class CSettingsDialogApparenceTooltip : public CPropertyPage
{
    DECLARE_DYNAMIC(CSettingsDialogApparenceTooltip)

public:
    CSettingsDialogApparenceTooltip();
    virtual ~CSettingsDialogApparenceTooltip();

    enum
    {
        IDD = IDD_SETTINGS_APPARENCE_TOOLTIP
    };

private:
    CComboBoxXP m_type;
    CComboBoxXP m_background;
    CButtonXP m_btnLook;
    UINT m_show_time;
    UINT m_hide_time;
    UINT m_fade_in;
    UINT m_fade_out;
    DWORD m_animation;
    CColourPicker m_mid_bk;
    CColourPicker m_start_bk;
    CColourPicker m_end_bk;
    CColourPicker m_border_color;

protected:
    virtual BOOL PreTranslateMessage(MSG* pMsg);
    virtual void DoDataExchange(CDataExchange* pDX);  
    afx_msg void OnOK();
    virtual BOOL OnInitDialog();
    afx_msg BOOL OnEraseBkgnd(CDC* pDC);
    afx_msg void OnChangeColorTheme();
    afx_msg void OnSetBorder();
    afx_msg LONG OnChangeColorBk(UINT lParam = 0, LONG wParam = 0);
    DECLARE_MESSAGE_MAP()
    DECLARE_MENUXP()
};

#endif