#ifndef SETTINGSDIALOGGENERAL_H
#define SETTINGSDIALOGGENERAL_H
#include "menuXP.h"
#include "ButtonXP.h"
#include "ComboBoxXP.h"
#include "MainWnd.h"

class CSkinSampleCtrl : public CStatic
{
public:
	CSkinSampleCtrl(int forceText);
	virtual ~CSkinSampleCtrl();
    void SetForceText(int forceText);

private:
	int m_forceText;

protected:
	afx_msg void DrawItem(LPDRAWITEMSTRUCT lpDrawItemStruct);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnMouseLeave();
	DECLARE_MESSAGE_MAP()
};

class CGradientSampleCtrl : public CStatic
{
public:
	CGradientSampleCtrl();
	virtual ~CGradientSampleCtrl();

private:
	COLORREF m_startColor;
	COLORREF m_endColor;

protected:
	void DrawItem(LPDRAWITEMSTRUCT lpDrawItemStruct);
};

// Bote de dialogue CSettingsDialogGeneral

class CSettingsDialogGeneral : public CPropertyPage
{
	DECLARE_DYNAMIC(CSettingsDialogGeneral)

public:
	CSettingsDialogGeneral();
	virtual ~CSettingsDialogGeneral();

	enum
	{
		IDD = IDD_SETTINGS_GENERAL
	};

private:
	bool m_defaultAdd;
    int m_tpc;
	CCheckListBox m_l_options;
	CCheckListBox m_l_options2;
	CButtonXP m_btnSkin;
	CComboBoxXP m_cbxLanguage;
	CSkinSampleCtrl m_skinSample;

protected:
	afx_msg void OnOK();
	virtual void DoDataExchange(CDataExchange* pDX);  // Prise en charge DDX/DDV
	virtual BOOL OnInitDialog();
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnPopupLoad();
	afx_msg void OnPopupUseDefault();
	afx_msg void OnSkin();
	int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnLbnSelchangeLOptions();
	void RegFileTypes();
	void CreateContMenus();
	bool ReadFileTypes(CString ext);
	void ReadContMenus();
	DECLARE_MESSAGE_MAP()
	DECLARE_MENUXP()
};

#endif