#ifndef SETTINGSDIALOGHOTKEYS_H
#define SETTINGSDIALOGHOTKEYS_H

#include "ButtonXP.h"
#include "MenuXP.h"

/////////////////////////////////////////////////////////////////////////////
// CSettingsDialogHotkeys dialog

class CSettingsDialogHotkeys : public CPropertyPage
{
    DECLARE_DYNAMIC(CSettingsDialogHotkeys)

public:
    CSettingsDialogHotkeys();
    virtual ~CSettingsDialogHotkeys();

    enum
    {
        IDD = IDD_SETTINGS_HOTKEYS
    };

private:
    CHotKeyCtrl m_h_automation;
    CHotKeyCtrl m_h_albummode;
    CHotKeyCtrl m_h_tracks;
    CHotKeyCtrl m_h_album;
    CHotKeyCtrl m_h_menu;
    CHotKeyCtrl m_h_trayicon;
    CHotKeyCtrl m_h_open3;
    CHotKeyCtrl m_h_back;
    CHotKeyCtrl m_h_forw;
    CHotKeyCtrl m_h_np;
    CHotKeyCtrl m_h_exit;
    CHotKeyCtrl m_h_mp3info;
    CHotKeyCtrl m_h_vup;
    CHotKeyCtrl m_h_vdown;
    CHotKeyCtrl m_h_stop;
    CHotKeyCtrl m_h_prev;
    CHotKeyCtrl m_h_play;
    CHotKeyCtrl m_h_next;
    CHotKeyCtrl m_h_shuffle;
    CHotKeyCtrl m_h_repeat;
    CHotKeyCtrl m_h_playlist;
    CHotKeyCtrl m_h_open2;
    CHotKeyCtrl m_h_open1;
    CHotKeyCtrl m_h_minibar;
    CHotKeyCtrl m_h_equalizer;

protected:
    virtual void DoDataExchange(CDataExchange* pDX);
    virtual void OnCancel();
    virtual BOOL OnInitDialog();
    afx_msg BOOL OnEraseBkgnd(CDC* pDC);
    afx_msg BOOL OnSetActive();
    afx_msg BOOL OnKillActive();
    virtual void OnOK();
    bool CheckDoubles();
    DECLARE_MESSAGE_MAP()
    DECLARE_MENUXP()
};

#endif
