#ifndef SETTINGSDIALOGMOUSECLICKS_H
#define SETTINGSDIALOGMOUSECLICKS_H
#include "menuXP.h"
#include "ComboBoxXP.h"


// Bote de dialogue CSettingsDialogMouseClicks

class CSettingsDialogMouseClicks : public CPropertyPage
{
    DECLARE_DYNAMIC(CSettingsDialogMouseClicks)

public:
    CSettingsDialogMouseClicks();
    virtual ~CSettingsDialogMouseClicks();


    enum
    {
        IDD = IDD_SETTINGS_MOUSE_CLICKS
    };

private:
    CComboBoxXP m_clicks[8];
    CComboBoxXP m_pandh;
    int m_iclicks[8];
    BOOL m_noclicks;

protected:
    afx_msg void OnOK();
    virtual void DoDataExchange(CDataExchange* pDX);  // Prise en charge DDX/DDV
    virtual BOOL OnInitDialog();
    afx_msg BOOL OnEraseBkgnd(CDC* pDC);
    afx_msg void OnNoClicks();
    bool CheckClicks();

    DECLARE_MESSAGE_MAP()
    DECLARE_MENUXP()
};

#endif
