#ifndef SETTINGSDIALOGW2FFILE_H
#define SETTINGSDIALOGW2FFILE_H
#include "menuXP.h"
#include "buttonXP.h"

class CSettingsDialogW2File : public CPropertyPage
{
    DECLARE_DYNAMIC(CSettingsDialogW2File)

public:
	CSettingsDialogW2File();

private:
	BOOL m_del;
	CString m_exit;
	CString m_file;
	BOOL m_oem;
	CString m_pause;
	CString m_play;
	CString m_stop;
	BOOL m_enabled;
	BOOL m_ftp;
	CString m_site;
	CString m_user;
	CString m_password;
	CButtonXP m_btnBrowse;

	enum {
		IDD = IDD_SETTINGS_W2FILE
	};

protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	virtual BOOL OnInitDialog();
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnBnClickedW2fftp();
	afx_msg void OnBnClickedW2fenable();
	virtual void OnOK();
	afx_msg void OnBrowse();
	DECLARE_MESSAGE_MAP()
	DECLARE_MENUXP()
};

#endif 
