// TestPropertyPage.cpp : fichier d'implmentation
//

#include "stdafx.h"
#include "TestPropertyPage.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

IMPLEMENT_DYNAMIC(CTestPropertyPage, CPropertyPage)
CTestPropertyPage::CTestPropertyPage(prefsDlgRec * ini, UINT nIDTemplate) : CPropertyPage(nIDTemplate)
{
    NameBackup = new char[strlen(ini->name) + 1];
    strcpy(NameBackup, ini->name);
    PageDataBackup = new prefsDlgRec;
    memcpy(PageDataBackup, ini, sizeof(prefsDlgRec));
    PageDataBackup->name = NameBackup;
}

CTestPropertyPage::~CTestPropertyPage()
{
    m_psp.pfnDlgProc = sauvegarde;
    delete NameBackup;
    delete PageDataBackup;
}

void CTestPropertyPage::InstallHook()
{
    memset(&m_psp, 0, sizeof(PROPSHEETPAGE));
    m_psp.dwSize = sizeof(PROPSHEETPAGE);
    m_psp.dwFlags = PSP_USECALLBACK;
    sauvegarde = m_psp.pfnDlgProc;
    m_psp.pfnDlgProc = (DLGPROC)(PageDataBackup->proc);
    m_psp.hInstance = PageDataBackup->hInst;
    m_psp.pszTemplate = MAKEINTRESOURCE(PageDataBackup->dlgID);
    m_psp.lParam = (LPARAM)PageDataBackup;
}
