// UrlDlg.cpp : implementation file
//

#include "stdafx.h"
#include "resource.h"       // main symbols
#include "aerosubc.h"
#include "UrlDlg.h"
#include "MainWnd.h"
#include "MainHelper.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CUrlDlg dialog


CUrlDlg::CUrlDlg() : CDialog(CUrlDlg::IDD)
{
    m_URL = _T("");
}

IMPLEMENT_MENUXP(CUrlDlg, CDialog)

BEGIN_MESSAGE_MAP(CUrlDlg, CDialog)
ON_MENUXP_MESSAGES()
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CUrlDlg message handlers

void CUrlDlg::DoDataExchange(CDataExchange* pDX)
{
    CMenuXP::SetXPLookNFeel(this, s_mainWnd.m_skin.xpLookNFeel);
    CDialog::DoDataExchange(pDX);
    DDX_Text(pDX, IDC_URL_EDIT, m_URL);
    DDX_Control(pDX, IDCANCEL, m_btnCancel);
    DDX_Control(pDX, IDOK, m_btnOk);
}

BOOL CUrlDlg::OnInitDialog()
{
    CDialog::OnInitDialog();

    AeroAutoSubclass(m_hWnd, ASC_SUBCLASS_ALL_CONTROLS, 0L);

    m_Helper.translateWindowText(this, IDD_ENTER_URL);
    m_Helper.translateDlgItemText(this, IDC_LURL);
    m_Helper.translateDlgItemText(this, IDOK);
    m_Helper.translateDlgItemText(this, IDCANCEL);

    SetIcon(s_mainWnd.m_stpIcon, TRUE);
    SetIcon(s_mainWnd.m_stpIconSm, FALSE);

    m_URL = "http://adsl.rockone.fr:6005";
    //m_URL = "dvd://d,2";

    UpdateData(FALSE);

    return TRUE;
}
