#ifndef VOLUME_H
#define VOLUME_H

///////////////////////////////////////////////////////////////////////////////////////////////
class CVolume
{

public:
    CVolume(); // type: 0 - Wave, 1 - CD
    ~CVolume();
    void Init();

    DWORD GetCurrentVolume();
    void SetCurrentVolume(DWORD dwValue);
    DWORD m_dwVolumeControlID;
    DWORD m_dwMixerHandle;

private:
    void Done();
    bool Initialize(int type);

private:
    bool m_bAvailable;
    UINT m_uMixerID;
    int m_nChannelCount;
    DWORD m_dwMinimalVolume;
    DWORD m_dwMaximalVolume;
    DWORD m_dwVolumeStep;
};

#endif

extern CVolume s_volume;