#ifndef CMULTIDLLGEN_H
#define CMULTIDLLGEN_H
#include "DllGen.h"

class CMultiDllGen
{
private:
    CArray<CDllGen*, CDllGen*> listDllGen;
    CDllGen* currentDllGen;

public:

    int GetVersion();       // module type (GEN_VER)
    char* GetDescription();  // description of module, with version string

    void SethwndParent(HWND hWnd);   // winamp's main window (filled gen by winamp)
    void SethDllInstance(HINSTANCE hDLL);   // DLL instance handle (Also filled gen by winamp)

    void LoadAll(HWND hWnd);
    void UnloadAll();

    void Config(HWND hwndParent); // configuration dialog
    void About(HWND hwndParent);  // about dialog

    int Init();

    void Config(int pos);     // Config
    void Quit();     // Quit

    int GetSize(); // return the number of loaded input
    CDllGen* getDllGen(int pos); //Return the DllGen at pos
    void UnLoad(int pos); //Unload the DllGen at pos
    void Load(CString file, HWND hWnd); //Load the DllGen
    void UpDllGen(int pos); //Up the DllGen gen the list
};
#endif

extern CMultiDllGen stdGen;