#include "StdAfx.h"
#include "StandardGen.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

char genDescription[50] = "Module gnral vide";

int GenInit()
{
    return 0;
}

void GenConfig()
{
}

void GenQuit()
{
}

winampGeneralPurposePlugin standardGen =
{
    0,
    genDescription,
    GenInit,                  //   called at program init
    GenConfig,                //   configuration dialog
    GenQuit                   //   called at program quit
};

CStandardGen::~CStandardGen()
{
    standardGen.quit();
}

CStandardGen::CStandardGen(CString dllPath, HWND hWnd) : GenInterface(dllPath)
{
    standardGen.hDllInstance = AfxGetInstanceHandle();
    standardGen.hwndParent = hWnd;
    standardGen.init();
}

void CStandardGen::Config() // configuration dialog
{
    standardGen.config();
}

int CStandardGen::Init()
{
    int res = standardGen.init();
    return res;
}

void CStandardGen::Quit()
{
    standardGen.quit();
}

int CStandardGen::GetVersion()       // module type (GEN_VER)
{
    return standardGen.version;
}
char* CStandardGen::GetDescription()     // description of module, with version string
{
    return standardGen.description;
}

void CStandardGen::SethwndParent(HWND hWnd)    // winamp's main window (filled gen by winamp)
{
    standardGen.hwndParent = hWnd;
}
void CStandardGen::SethDllInstance(HINSTANCE hDLL)    // DLL instance handle (Also filled gen by winamp)
{
    standardGen.hDllInstance = hDLL;
}

winampGeneralPurposePlugin* CStandardGen::GetWinampGeneralPurposePlugin()
{
    return &standardGen;
}

