#ifndef CSTANDARDGEN_H
#define CSTANDARDGEN_H
#include "InterfaceGen.h"

class CStandardGen : public GenInterface
{
private:
    HMODULE hMod;         // handle to loaded library module

public:

    int GetVersion();       // module type (GEN_VER)
    char* GetDescription();  // description of module, with version string

    void SethwndParent(HWND hWnd);   // winamp's main window (filled gen by winamp)
    void SethDllInstance(HINSTANCE hDLL);   // DLL instance handle (Also filled gen by winamp)

    CStandardGen(CString dllPath, HWND hWnd);
    ~CStandardGen();
    void Config(); // configuration dialog

    int Init();

    void Quit();     // Quit

    winampGeneralPurposePlugin* GetWinampGeneralPurposePlugin();
};
#endif