#ifndef STREAMINGDIALOG_H
#define STREAMINGDIALOG_H

#include "ButtonXP.h"
#include "ComboBoxXP.h"

BOOL CALLBACK in_streaming_proc(HWND hDlg, UINT uMsg, WPARAM wParam, LPARAM lParam);

class CStreamingDialog : public CPropertyPage
{
public:
    CStreamingDialog();
    virtual ~CStreamingDialog();
	virtual WNDPROC* GetSuperWndProcAddr();
    afx_msg void OnOK();
    afx_msg void OnBnClickedChEnableStreaming();
    afx_msg void OnBnClickedButtonFiledialog();

private:
	CButtonXP m_btnBrowse;
	CComboBoxXP m_comboPriority;
	WNDPROC m_wndproc;

    enum { IDD = IDD_STREAMING };
    BOOL    m_bEnableStreaming;
    CString m_strStrBuf;
    CEdit   m_editTitleStreamingFormat;
    CEdit   m_editProxy;
    CEdit   m_editStrBuf;
    CEdit   m_editSaveStream;
    CString m_strProxy;
    CString m_strSaveStream;
    CString m_strTitleStreamingFormat;
    BOOL    m_bProxy;
    BOOL    m_bSaveStream;
    BOOL    m_bTitleStreaming;
    BOOL    m_bTitleStreamingDecode;
    BOOL    m_bTitleStreamingUDP;

protected:
    virtual void DoDataExchange(CDataExchange* pDX);  // Prise en charge DDX/DDV
    afx_msg BOOL OnInitDialog();
    afx_msg BOOL OnEraseBkgnd(CDC* pDC);
    afx_msg BOOL OnSetActive();
    DECLARE_MESSAGE_MAP()
    DECLARE_DYNAMIC(CStreamingDialog)
};

#endif
