#ifndef VIDEOFILTER_H
#define VIDEOFILTER_H

#include "wa_ipc.h"

// {BC651C9D-AC18-49d9-815C-B6F64638E76D}
DEFINE_GUID(CLSID_Video, 0xbc651c9d, 0xac18, 0x49d9, 0x81, 0x5c, 0xb6, 0xf6, 0x46, 0x38, 0xe7, 0x6d);

class CVideoFilter : public CBaseRenderer
{
    long m_nWidth;
    long m_nHeight;
    IVideoOutput* m_videoOutput;
public:
    CVideoFilter(IUnknown* pUnk, HRESULT* phr, IVideoOutput* videoOutput);
    ~CVideoFilter();
    DECLARE_IUNKNOWN

    // make sure media type is what we want
    //
    HRESULT CheckMediaType(const CMediaType* pmtIn);
    HRESULT DoRenderSample(IMediaSample* pMediaSample);
}; // CVideoFilter

#endif
