///////////////////////////////////////////////////////////////////////////////
//
// ComboBoxXP.h
//
///////////////////////////////////////////////////////////////////////////////

#pragma once

#include "Tools.h"
#include "MenuXP.h"

///////////////////////////////////////////////////////////////////////////////
class CComboBoxXP : public CComboBox
{
public:
    CComboBoxXP();

    // Operations
public:
    BOOL Create(DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID);

    // Implementation
protected:
    CMouseMgr m_MouseMgr;

public:
    virtual void PreSubclassWindow();
    virtual BOOL PreTranslateMessage(MSG* pMsg);

protected:
    afx_msg UINT OnGetDlgCode();
    afx_msg void OnPaint();
    afx_msg void OnSetFocus(CWnd* pOldWnd);
    afx_msg void OnKillFocus(CWnd* pNewWnd);
    afx_msg void OnMouseMove(UINT nFlags, CPoint point);
    afx_msg void OnMouseOut();
    DECLARE_MESSAGE_MAP()
};
