#ifndef ABOUTDLG_H
#define ABOUTDLG_H

#include "MenuXP.h"
#include "ButtonXP.h"
#include "AboutCtrl.h"

class CWhatNewDlg : public CDialog
{
public:
    CWhatNewDlg();

private:
    CString m_text;
    CButtonXP m_btnOk;

protected:
    virtual void DoDataExchange(CDataExchange* pDX);
    virtual BOOL OnInitDialog();
};
/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog

class CAboutDlg : public CDialog
{
public:
    CAboutDlg();
    ~CAboutDlg();

    enum
    {
        IDD = IDD_ABOUT
    };

private:
    CButtonXP m_btnOk;
    CButtonXP m_btnMail;
    CButtonXP m_btnInternet;
    CButtonXP m_btnUpdateNow;
    CButtonXP m_btnWhatNew;
    CAboutCtrl m_aboutCtrl;

protected:
    virtual void DoDataExchange(CDataExchange* pDX);
    afx_msg void OnBtnMail();
    afx_msg void OnBtnHomepage();
    afx_msg void OnBtnUpdateNow();
    afx_msg void OnBtnWhatNew();
    virtual BOOL OnInitDialog();
    afx_msg BOOL OnEraseBkgnd(CDC* pDC);
    DECLARE_MESSAGE_MAP()
    DECLARE_MENUXP()
};
#endif
