#ifndef SETTINGSDIALOGINPUT_H
#define SETTINGSDIALOGINPUT_H
#include "menuXP.h"
#include "ButtonXP.h"

// Bote de dialogue CSettingsDialogInput

class CSettingsDialogInput : public CPropertyPage {
    DECLARE_DYNAMIC(CSettingsDialogInput)

public:
    CSettingsDialogInput();
    virtual ~CSettingsDialogInput();

	enum {
		IDD = IDD_SETTINGS_INPUT
	};

private:
    int m_gap;
    int m_current;
    CButtonXP m_btnConfiguration;
    CButtonXP m_btnAbout;
    CButtonXP m_btnLoad;
    CButtonXP m_btnUnload;
	CButtonXP m_btnDown;
	CButtonXP m_btnUp;
    CListBox m_listInput;

protected:
    afx_msg void OnOK();
    virtual void DoDataExchange(CDataExchange *pDX);  // Prise en charge DDX/DDV
    afx_msg BOOL OnInitDialog();
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
    afx_msg void OnBnClickedConfig();
    afx_msg void OnBnClickedAbout();
    afx_msg void OnBnClickedLoad();
    afx_msg void OnBnClickedUnload();
    afx_msg void OnBnClickedDown();
    afx_msg void OnBnClickedUp();
    BOOL OnSetActive();
    afx_msg void OnListChange();
    DECLARE_MESSAGE_MAP()
    DECLARE_MENUXP()
};
#endif
