#ifndef SETTINGSDIALOGOUTPUT_H
#define SETTINGSDIALOGOUTPUT_H
#include "menuXP.h"
#include "ButtonXP.h"
#include "ComboBoxXP.h"

// Bote de dialogue CSettingsDialogOutput

class CSettingsDialogOutput : public CPropertyPage {
    DECLARE_DYNAMIC(CSettingsDialogOutput)

public:
    CSettingsDialogOutput();
    virtual ~CSettingsDialogOutput();

enum {
	IDD = IDD_SETTINGS_OUTPUT
};

private:
    CButtonXP m_btnConfiguration;
    CButtonXP m_btnAbout;
    CButtonXP m_btnLoad;
    CButtonXP m_btnUnload;
	CButtonXP m_btnDown;
	CButtonXP m_btnUp;
    CListBox m_listOutput;
    int m_current;

protected:
    afx_msg void OnOK();
    virtual void DoDataExchange(CDataExchange *pDX);  // Prise en charge DDX/DDV
    afx_msg BOOL OnInitDialog();
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
    afx_msg void OnBnClickedConfig();
    afx_msg void OnBnClickedAbout();
    afx_msg void OnBnClickedLoad();
    afx_msg void OnBnClickedUnload();
    afx_msg void OnBnClickedDown();
    afx_msg void OnBnClickedUp();
    BOOL OnSetActive();
    afx_msg void OnListChange();
    DECLARE_MESSAGE_MAP()
    DECLARE_MENUXP()
};

#endif
