#ifndef SETTINGSDIALOGPLUGINS_H
#define SETTINGSDIALOGPLUGINS_H
#include "menuXP.h"
#include "ButtonXP.h"
#include "ComboBoxXP.h"
#include "MainWnd.h"

// Bote de dialogue CSettingsDialogPlugins

class CSettingsDialogPlugins : public CPropertyPage
{
	DECLARE_DYNAMIC(CSettingsDialogPlugins)

public:
	CSettingsDialogPlugins();
	virtual ~CSettingsDialogPlugins();

	enum
	{
		IDD = IDD_SETTINGS_PLUGINS
	};

private:
	CButtonXP m_btnBrowse;  
	CButtonXP m_btnLoad;  
	CButtonXP m_btnLoadAll;
	CComboBoxXP m_wmIcon;
	CListBox m_listPlugins;
	BOOL m_activateWindowMessenger;
	int m_scrollMode;
	int m_speed;
	int m_icon;
	CString m_title;

protected:
	afx_msg void OnOK();
	virtual void DoDataExchange(CDataExchange* pDX);  // Prise en charge DDX/DDV
	virtual BOOL OnInitDialog();
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	BOOL OnSetActive();
	void LoadPluginsName(CString theDir);
	void LoadPlugin(CString plugin);

	DECLARE_MESSAGE_MAP()
	DECLARE_MENUXP()
public:
	afx_msg void OnBnClickedWmactivate();
	afx_msg void OnBnClickedPlugindirectorybrowse();
	afx_msg void OnBnClickedPlugindirectoryloadall();
	afx_msg void OnBnClickedPlugindirectoryload();
};

#endif