#ifndef INTERFACEGEN_H
#define INTERFACEGEN_H

#include <gen.h>

class GenInterface
{
private:
    CString filePath;
public:
    GenInterface(CString dllPath)
    {
        filePath = dllPath;
    };
    ~GenInterface()
    {
    };

    int GetVersion()
    {
        return 0;
    };              // module type (IN_VER)
    char* GetDescription()
    {
        return "";
    };          // description of module, with version string

public:

    void SethwndParent(HWND hWnd);   // winamp's main window (filled gen by winamp)
    void SethDllInstance(HINSTANCE hDLL);   // DLL instance handle (Also filled gen by winamp)

    void Config()
    {
        // configuration dialog
    }

    int Init()
    {
        return 0;
    }

    void Quit()
    {
        // Quit
    }
    CString GetFilePath()
    {
        return filePath;
    }
    CString GetFileName()
    {
        CString tmp = filePath;
        TCHAR path[MAX_PATH];
        TCHAR fname[MAX_PATH];
        TCHAR ext[MAX_PATH];
        _tcscpy(path, (TCHAR *)filePath.GetString());
        _tsplitpath(path, NULL, NULL, fname, ext);
        tmp.Format(_T("%s%s"), fname, ext);
        return tmp;
    }
    void SetFilePath(CString nFilePath)
    {
        filePath = nFilePath;
    }

    winampGeneralPurposePlugin* GetWinampGeneralPurposePlugin();
};

#endif