#ifndef CONFIGDIALOG_H
#define CONFIGDIALOG_H

#include "ComboBoxXP.h"

BOOL CALLBACK in_config_proc(HWND hDlg, UINT uMsg, WPARAM wParam, LPARAM lParam);

class CConfigDialog : public CPropertyPage
{
    DECLARE_DYNAMIC(CConfigDialog)
	WNDPROC m_wndproc;
    enum { IDD = IDD_CONFIG };
	CComboBoxXP	m_comboDecodePriority;
	CComboBoxXP	m_comboOutputBps;
	BOOL	m_bEnable;
	BOOL	m_bFullBuffering;
	BOOL	m_bSupZero;
	BOOL	m_bReverseLR;
	BOOL	m_bReversePhase;
	BOOL	m_bAltVolume;
	BOOL	m_bDispAvg;

public:
    CConfigDialog();
    virtual ~CConfigDialog();
	virtual WNDPROC* GetSuperWndProcAddr();

protected:
    virtual void DoDataExchange(CDataExchange* pDX);  // Prise en charge DDX/DDV
    afx_msg BOOL OnInitDialog();
    afx_msg BOOL OnEraseBkgnd(CDC* pDC);
    afx_msg BOOL OnKillActive();
    DECLARE_MESSAGE_MAP()
public:
    afx_msg void OnOK();
    afx_msg void OnBnClickedChEnable();
};

#endif
