#ifndef REPLAYGAINDIALOG_H
#define REPLAYGAINDIALOG_H

#include "ComboboxXP.h"

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

BOOL CALLBACK in_replaygain_proc(HWND hDlg, UINT uMsg, WPARAM wParam, LPARAM lParam);

class CReplayGainDialog : public CPropertyPage
{
    DECLARE_DYNAMIC(CReplayGainDialog)
    WNDPROC m_wndproc;

    BOOL m_bReplayGainEnable;
    CComboBoxXP m_comboReplayGainMode;
    BOOL m_bReplayGainTagID3v2;
    BOOL m_bReplayGainTagAPE;
    BOOL m_bReplayGainTagLAME;
    CSliderCtrl m_trackReplayGainPreAmpWithRG;
    CStatic m_ReplayGainPreAmpWithRG_DB;
    CSliderCtrl m_trackReplayGainPreAmpWithoutRG;
    CStatic m_ReplayGainPreAmpWithoutRG_DB;
    BOOL m_bReplayGainHardLimit;

public:
    CReplayGainDialog();
    virtual ~CReplayGainDialog();
	virtual WNDPROC* GetSuperWndProcAddr();

    enum
    {
        IDD = IDD_REPLAYGAIN
    };

private:
    void ShowDB(int Pos, CStatic* DB);

protected:
    virtual void DoDataExchange(CDataExchange* pDX);  // Prise en charge DDX/DDV
    afx_msg BOOL OnInitDialog();
    afx_msg BOOL OnEraseBkgnd(CDC* pDC);
    afx_msg BOOL OnSetActive();
    afx_msg void OnBnClickedReplayGainEnable();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
    DECLARE_MESSAGE_MAP()
public:
    afx_msg void OnOK();
};

#endif